//<!--
//\include\js\viewitem\_base\viCore.js@@\main\e381_caboose\1

var viSpcrPic='http://pics.ebaystatic.com/aw/pics/x.gif';var unloading=false;function MM_reloadPage(init)
{if(init)with(navigator)
{if((appName=="Netscape")&&(parseInt(appVersion)==4))
{document.MM_pgW=innerWidth;document.MM_pgH=innerHeight;onresize=MM_reloadPage;}}
else if(innerWidth!=document.MM_pgW||innerHeight!=document.MM_pgH)location.reload();}
function clientBrowserSniffer()
{var ua=navigator.userAgent.toLowerCase();this.major=parseInt(navigator.appVersion);if((is.opera&&(is.ver>4))||(is.ie&&(is.ver<4))||is.webTV||is.safari||ua.contains('hotjava')||(is.nav&&(is.ver<4)))
return true;return false;}
function getOriginalImg()
{return document.images['eBayBig'];}
function resizeImage(imageOrImageName)
{var u="undefined";var image=typeof imageOrImageName=='string'?document[imageOrImageName]:imageOrImageName;if((is.nav&&(is.ver>4))||(is.opera&&(is.ver==5)))
{image=new Image();image.src=typeof imageOrImageName=='string'?document[imageOrImageName]:imageOrImageName;}
var imw=eBayUser_SelfHosted_image.width;var imh=eBayUser_SelfHosted_image.height;if(is.ie&&is.mac)
{var origImg=getOriginalImg();if(typeof(origImg)!="undefined")
{if(typeof(origImg.width)!="undefined")
{imw=origImg.width;}
if(typeof(origImg.height)!="undefined")
{imh=origImg.height;}}}
var rw=imw/200,rh=imh/150,ratio=(rw>rh)?rw:rh;if(document.layers)
{var l;imageOrImageName.src=viSpcrPic;if(!image.overLayer)
l=image.overLayer=new Layer(200);l=image.overLayer;l.bgColor=document.bgColor;if(ratio>1)
{l.clip.width=Math.round(imw/ratio);l.clip.height=Math.round(imh/ratio);}
else
{l.clip.width=imw;l.clip.height=imh;}
l.left=image.x+((200-l.clip.width)/2);l.top=image.y+((150-l.clip.height)/2);var im=eBayUser_SelfHosted_image;if(im&&im.src)
{var i=' <a href=\"#ebayphotohosting\"><IMG SRC="'+im.src+'"';i+=image.name?' NAME="overLayer'+image.name+'"':'';i+=' border=0  WIDTH="'+l.clip.width+'" HEIGHT="'+l.clip.height+'"> </a>';l.document.open();l.document.write(i);l.document.close();}
l.visibility='show';}
else
{if(ratio>=1)
{if(typeof(document.SelfHostedImage)!='undefined'){document.SelfHostedImage.setAttribute('width',imw/ratio);document.SelfHostedImage.setAttribute('height',imh/ratio);}}}}
function init()
{if(document.jsvars&&!is.mac)
{refreshToolbar(document.jsvars.username.value,document.jsvars.itemnumber.value,"refreshWL");}
resizeImage(document.SelfHostedImage);}
function hostedImageLoaded(img)
{var h=img.height,w=img.width;if(h&&w)
{if(h/150>w/200)
{img.width=150*w/h;img.height=150;}
else
{img.height=h*200/w;img.width=200;}}}
function writeHostedImage()
{var u="undefined";var h=150;var w=200;var img=new Image();img.src=hostedimageSRc;var unsupportedBrowser=clientBrowserSniffer();if(typeof(img.height)!=u)
if(img.height>1&&img.height<h)
h=img.height;if(typeof(img.width)!=u)
if(img.width>1&&img.width<w)
w=img.width;var s='<table width=202 border=0 cellpadding=0 cellspacing=0 height=152>';s+='<tr><td colspan=3 width=202 height=1 bgcolor="#0000FF"><img src="';s+=viSpcrPic+'" width=202 height=1></td></tr><tr><td width=1 height=150 ';s+='bgcolor="#0000FF"><img src="'+viSpcrPic+'" width=1 height=150></td>';s+='<td width=200 align=center><a href="#ebayphotohosting"><img src="';s+=hostedimageSRc+'" width='+w.toString()+' align=middle border=0 ';if(is.mac)
{s+='name=SelfHostedImage height='+h.toString()+'></a></td><td width=1 bgcolor="#0000FF"><img src="';s+=viSpcrPic+'" width=1></td></tr><tr><td colspan=3 width=202 height=1 bgcolor="#0000FF"><img src="'+viSpcrPic;}
else if(!unsupportedBrowser)
{if(!is.ie||(is.ver>=5))
{s+='name=SelfHostedImage height='+h+'></a></td><td width=1 height=150 bgcolor="#0000FF"><img src="';s+=viSpcrPic+'" width=1 height=150></td></tr><tr><td colspan=3 width=202 height=1 bgcolor="#0000FF"><img src="XXX';}
else
{s+='name=SelfHostedImage onload="hostedImageLoaded(this);"></a></td><td width=1 height=150 bgcolor="#0000FF"><img src="';s+=viSpcrPic+'" width=1 height=150></td></tr><tr><td colspan=3 width=202 height=1 bgcolor="#0000FF"><img src="'+viSpcrPic;}}
else
{s+='height=150></a></td><td width=1 height=150 bgcolor="#0000FF"><img src="';s+=viSpcrPic+'" width=1 height=150></td></tr><tr><td colspan=3 width=202 height=1 bgcolor="#0000FF"><img src="'+viSpcrPic;}
s+='" width=202 height=1></td></tr></table>';document.open();document.write(s);document.close();}
function slideshow(direction)
{if(direction==null||typeof(direction)=='undefined')
{if((lastTime+delay)>new Date().getTime())
direction=0;else
direction=currentDirection;}
else
currentDirection=direction;if(direction!=0)
{if(direction>0)
{currentSlide++;if(currentSlide>(slides.length-1))
currentSlide=0;}
else
{currentSlide=currentSlide-1;if(currentSlide<0)
currentSlide=(slides.length-1);}
lastTime=new Date().getTime();update(slides[currentSlide]);setTimeout('slideshow()',delay);}}
function update(url,index,isSuper)
{currentIndex=index;currentIsSuper=isSuper;document['eBayBig'].src=url;visibleState="hidden";if(isSuper)
visibleState="visible";if(document.layers&&document.eBaySuperLink1)
{document.eBaySuperLink1.visibility=visibleState;document.eBaySuperLink2.visibility=visibleState;}
if(document.all&&document.all.eBaySuperLink1)
{document.all.eBaySuperLink1.style.visibility=visibleState;document.all.eBaySuperLink2.style.visibility=visibleState;}
if(!document.all&&document.getElementById&&document.getElementById("eBaySuperLink1"))
{document.getElementById("eBaySuperLink1").style.visibility=visibleState;document.getElementById("eBaySuperLink2").style.visibility=visibleState;}
return false;}
function supersize()
{if(currentIsSuper){var modSuperSizeUrl=superSizeURL.substr(0,superSizeURL.indexOf("indexURL=")+9)+
currentIndex+superSizeURL.substr(superSizeURL.indexOf("indexURL=")+10);location.href=modSuperSizeUrl;}
return;}
function converter(page)
{appletwin=window.open(page,"currency_page","width=550,height=300,resizable=1,screenX=300,screenY=300");}
function gotoNext()
{if(current+1>=(images.length-1))
return false;document['eBaySuper'].src=images[++current];updateLabels();return false;}
function gotoPrev()
{if(current<=0)
return false;current=current-1;document['eBaySuper'].src=images[current];updateLabels();return false;}
function updateLabels()
{visibleStatePrevious="hidden";if(current)
visibleStatePrevious="visible";visibleStateNext="visible";if(current+1==images.length-1)
visibleStateNext="hidden";if(document.layers)
{document.nextLabel1.visibility=visibleStateNext;document.nextLabel2.visibility=visibleStateNext;document.prevLabel1.visibility=visibleStatePrevious;document.prevLabel2.visibility=visibleStatePrevious;}
var da=document.all;if(da)
{da.nextLabel1.style.visibility=visibleStateNext;da.nextLabel2.style.visibility=visibleStateNext;da.prevLabel1.style.visibility=visibleStatePrevious;da.prevLabel2.style.visibility=visibleStatePrevious;}
var dge=document.getElementById;if(!da&&dge)
{dge("nextLabel1").style.visibility=visibleStateNext;dge("nextLabel2").style.visibility=visibleStateNext;dge("prevLabel1").style.visibility=visibleStatePrevious;dge("prevLabel2").style.visibility=visibleStatePrevious;}}
function gotoOther()
{location.href=superSizeGotoURL;return false;}
function doButtons(picimage)
{document['mainPicture'].src=picimage;}
function ebVICheckRedirect()
{if(iframeApproved)
{var dr=document.referrer.toLowerCase();var si=dr.indexOf("/",dr.indexOf("://")+3);if(si!=-1)dr=dr.substring(0,si);var ls=location.search.toLowerCase(),i=ls.indexOf("ifrdesc=0");if((i>-1)&&(dr.indexOf(".ebay.")==-1))
location.replace(location.pathname+ls.substring(0,i)+ls.substr(i+9));}}
ebVICheckRedirect();
// -->
